# Method: applications.getEndPoint

- [HTTP request](https://developer.android.com/games/services/web/api/rest/v1/applications/getEndPoint#body.HTTP_TEMPLATE)
- [Query parameters](https://developer.android.com/games/services/web/api/rest/v1/applications/getEndPoint#body.QUERY_PARAMETERS)
- [Request body](https://developer.android.com/games/services/web/api/rest/v1/applications/getEndPoint#body.request_body)
- [Response body](https://developer.android.com/games/services/web/api/rest/v1/applications/getEndPoint#body.response_body)
  - [JSON representation](https://developer.android.com/games/services/web/api/rest/v1/applications/getEndPoint#body.EndPoint.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developer.android.com/games/services/web/api/rest/v1/applications/getEndPoint#body.aspect)
- [EndPointType](https://developer.android.com/games/services/web/api/rest/v1/applications/getEndPoint#EndPointType)
- [Try it!](https://developer.android.com/games/services/web/api/rest/v1/applications/getEndPoint#try-it)

Returns a URL for the requested end point type.

### HTTP request

`POST https://games.googleapis.com/games/v1/applications/getEndPoint`

### Query parameters

|                                                                                    Parameters                                                                                    ||
|-----------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `applicationId` | `string` The application ID from the Google Play developer console.                                                                                             |
| `endPointType`  | `enum (`[EndPointType](https://developer.android.com/games/services/web/api/rest/v1/applications/getEndPoint#EndPointType)`)` Type of endpoint being requested. |

### Request body

The request body must be empty.

### Response body

Container for a URL end point of the requested type.

If successful, the response body contains data with the following structure:

|    JSON representation    |
|---------------------------|
| ``` { "url": string } ``` |

|                                         Fields                                          ||
|-------|----------------------------------------------------------------------------------|
| `url` | `string` A URL suitable for loading in a web browser for the requested endpoint. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/games`
- `
  https://www.googleapis.com/auth/games_lite`

For more information, see the[OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## EndPointType

Specifies which kind of end point should be returned.

|                           Enums                            ||
|--------------------|----------------------------------------|
| `PROFILE_CREATION` | Request a URL to create a new profile. |
| `PROFILE_SETTINGS` | Request a URL for the Settings view.   |